<script setup lang="ts">
import type { DrawerButton } from '@/types/DrawerButton'
import { useAuthStore } from '@/views/Authentication/stores/auth'
import { inject, type Ref } from 'vue'

const authStore = useAuthStore()
const listButton: DrawerButton[] = [
  {
    title: 'Home',
    icon: 'mdi-home',
    value: 'home',
    path: '/'
  },
  {
    title: 'POS',
    icon: 'mdi-point-of-sale',
    value: 'pos',
    path: '/pos'
  },
  {
    title: 'Product',
    icon: 'mdi-food',
    value: 'product',
    path: '/product'
  },
  {
    title: 'Customer',
    icon: 'mdi-account-multiple',
    value: 'customer',
    path: '/customer'
  },
  {
    title: 'Inventory',
    icon: 'mdi-warehouse',
    value: 'inventory',
    path: '/inventory'
  },
  {
    title: 'Employee',
    icon: 'mdi-account',
    value: 'employee',
    path: '/employee'
  },
  {
    title: 'User',
    icon: 'mdi-account-key',
    value: 'user',
    path: '/user'
  },
  {
    title: 'About',
    icon: 'mdi-information',
    value: 'about',
    path: '/about'
  }
]
const drawer = inject<Ref<boolean>>('drawer')
const rail = inject<Ref<boolean>>('rail')
</script>

<template>
  <v-navigation-drawer
    v-model="drawer"
    :rail="rail"
    color="brown-darken-3"
    permanent
    @click="rail = false"
  >
    <v-list-item
      prepend-avatar="https://randomuser.me/api/portraits/men/85.jpg"
      :title="authStore.getCurrentUser()?.name"
      nav
    >
      <template v-slot:append>
        <v-btn variant="text" icon="mdi-chevron-left" @click.stop="rail = !rail"></v-btn>
      </template>
    </v-list-item>

    <v-divider></v-divider>

    <v-list density="compact" nav>
      <v-list-item
        v-for="item in listButton"
        :key="item.title"
        :prepend-icon="item.icon"
        :title="item.title"
        :value="item.value"
        :to="{ path: item.path }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-logout"
        title="Logout"
        value="logout"
        @click="authStore.logout()"
      ></v-list-item>
    </v-list>
  </v-navigation-drawer>
</template>
